=== debian/control ===
Source: ros-melodic-cob-bms-driver
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-roscpp, ros-melodic-socketcan-interface, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-cob-bms-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, ros-melodic-cob-msgs, ros-melodic-cob-srvs, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-socketcan-interface, ros-melodic-std-msgs
Description: Driver package for interfacing the battery management system (BMS) on Care-O-bot.
